[class^='col-'] {
  float: left;
  margin-right: 3%;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

[class^='col-']:last-child {
  margin-right: 0%;
}

.col-1 {
  width: calc(calc(100% / 12) - calc(3% * 11 / 12));
}
.col-2 {
  width: calc(calc(100% / 6) - calc(3% * 10 / 12));
}
.col-3 {
  width: calc(calc(100% / 4) - calc(3% * 9 / 12));
}
.col-4 {
  width: calc(calc(100% / 3) - calc(3% * 8 / 12));
}
.col-5 {
  width: calc(calc(100% / 2.4) - calc(3% * 7 / 12));
}
.col-6 {
  width: calc(calc(100% / 2) - calc(3% * 6 / 12));
}
.col-7 {
  width: calc(calc(100% / 1.714285714285714) - calc(3% * 5 / 12));
}
.col-8 {
  width: calc(calc(100% / 1.5) - calc(3% * 4 / 12));
}
.col-9 {
  width: calc(calc(100% / 1.333333333333333) - calc(3% * 3 / 12));
}
.col-10 {
  width: calc(calc(100% / 1.2) - calc(3% * 2 / 12));
}
.col-11 {
  width: calc(calc(100% / 1.090909090909091) - calc(3% * 1 / 12));
}
.col-12 {
  width: 100%;
}
